Subject: Re: [PATCH/RFC] Created git-basis and modified git-bundle to accept --stdin.

From: Jakub Narebski <[email-masked]>
Date: Tue, 24 Jun 2008 01:09:10 -0700 (PDT)

"Adam Brewster" <[email-masked]> writes:

> Git-basis is a perl script that remembers bases for use by git-bundle.
> Code from rev-parse was borrowed to allow git-bundle to handle --stdin.

I'd rather you follow git-pack-objects, and use `--revs` for the name
of this option (or even '--not --revs').  The name `--stdin` might
imply that you are providing objects names on stdin of git-bundle.

But perhaps I am worrying over nothing.
 
[...]
> Then you can add the objects in the bundle to the basis, so they won't
> get included in the next pack like this:
> 
>  $ git-basis --update my-basis < my-bundle

Why not use "$(git ls-remote my-bundle)" somewhere in the invocation
creating new bundle instead?
 
> I'm sure that my implementation is crap, but I think this is a useful
> idea.  Anybody agree?  Disagree?

Documentation, please?  Especially that it looks like '--stdin' option
is a bit tricky...

-- 
Jakub Narebski
Poland
ShadeHawk on #git